Package org.apache.sling.cms.core.internal.models

## Class ReferencesImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.ReferenceOperation
  - - org.apache.sling.cms.core.internal.models.ReferencesImpl

All Implemented Interfaces:
  `References`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.References.class)
    public class ReferencesImpl
    extends ReferenceOperation
    implements References

Model for finding the references to a Resource

### Constructor Summary

Constructors
`ReferencesImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doProcess​(org.apache.sling.api.resource.Resource r, String matchingKey)`
`List<Reference>` `getReferences()`

### Methods inherited from class org.apache.sling.cms.core.internal.models.ReferenceOperation

`getRegex, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferencesImpl

    public ReferencesImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getReferences

    public List<Reference> getReferences()

Specified by:
  `getReferences` in interface `References`

#### doProcess

    public void doProcess​(org.apache.sling.api.resource.Resource r,
                          String matchingKey)

Specified by:
  `doProcess` in class `ReferenceOperation`